import { RequestManager } from './RequestManager';
import { EthFilter } from './Filter';
import { FilterOptions } from './Schema';
export declare type EventFilterCreator = (indexed: {
    [key: string]: any;
}, options?: FilterOptions) => Promise<EthFilter>;
/**
 * Should be called to create new contract instance
 *
 * @method Contract
 * @param {Array} abi
 * @param {Address} contract address
 */
export declare class Contract {
    requestManager: RequestManager;
    abi: any[];
    address: string;
    allEvents: (options: FilterOptions) => Promise<EthFilter>;
    events: {
        [key: string]: EventFilterCreator;
    };
    transactionHash: string;
    constructor(requestManager: RequestManager, abi: any[], address: string);
}
