import { RequestManager } from './RequestManager';
export interface IPropertyOptions {
    getter: string;
    outputFormatter?: Function;
}
export declare class Property {
    getter: string;
    outputFormatter: Function | null;
    constructor(options: IPropertyOptions);
    /**
     * Should be called to format output(result) of method
     *
     * @method formatOutput
     * @param {object}
     * @return {object}
     */
    formatOutput(result: any): any;
    execute(requestManager: RequestManager): Promise<any>;
}
