"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const f = require("./formatters");
const type_1 = require("./type");
/**
 * SolidityTypeBool is a prootype that represents bool type
 * It matches:
 * bool
 * bool[]
 * bool[4]
 * bool[][]
 * bool[3][]
 * bool[][6][], ...
 */
class SolidityTypeBool extends type_1.SolidityType {
    constructor() {
        super({
            inputFormatter: f.formatInputBool,
            outputFormatter: f.formatOutputBool
        });
    }
    isType(name) {
        return !!name.match(/^bool(\[([0-9]*)\])*$/);
    }
}
exports.SolidityTypeBool = SolidityTypeBool;
//# sourceMappingURL=bool.js.map