"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const f = require("./formatters");
const type_1 = require("./type");
/**
 * SolidityTypeBytes is a prototype that represents the bytes type.
 * It matches:
 * bytes
 * bytes[]
 * bytes[4]
 * bytes[][]
 * bytes[3][]
 * bytes[][6][], ...
 * bytes32
 * bytes8[4]
 * bytes[3][]
 */
class SolidityTypeBytes extends type_1.SolidityType {
    constructor() {
        super({
            inputFormatter: f.formatInputBytes,
            outputFormatter: f.formatOutputBytes
        });
    }
    // tslint:disable-next-line:prefer-function-over-method
    isType(name) {
        return !!name.match(/^bytes([0-9]{1,})(\[([0-9]*)\])*$/);
    }
}
exports.SolidityTypeBytes = SolidityTypeBytes;
//# sourceMappingURL=bytes.js.map