"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const f = require("./formatters");
const type_1 = require("./type");
/**
 * SolidityTypeReal is a prootype that represents real type
 * It matches:
 * real
 * real[]
 * real[4]
 * real[][]
 * real[3][]
 * real[][6][], ...
 * real32
 * real64[]
 * real8[4]
 * real256[][]
 * real[3][]
 * real64[][6][], ...
 */
class SolidityTypeReal extends type_1.SolidityType {
    constructor() {
        super({
            inputFormatter: f.formatInputReal,
            outputFormatter: f.formatOutputReal
        });
    }
    // tslint:disable-next-line:prefer-function-over-method
    isType(name) {
        return !!name.match(/real([0-9]*)?(\[([0-9]*)\])?/);
    }
}
exports.SolidityTypeReal = SolidityTypeReal;
//# sourceMappingURL=real.js.map