"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const f = require("./formatters");
const type_1 = require("./type");
/**
 * SolidityTypeUInt is a prootype that represents uint type
 * It matches:
 * uint
 * uint[]
 * uint[4]
 * uint[][]
 * uint[3][]
 * uint[][6][], ...
 * uint32
 * uint64[]
 * uint8[4]
 * uint256[][]
 * uint[3][]
 * uint64[][6][], ...
 */
class SolidityTypeUInt extends type_1.SolidityType {
    constructor() {
        super({
            inputFormatter: f.formatInputInt,
            outputFormatter: f.formatOutputUInt
        });
    }
    // tslint:disable-next-line:prefer-function-over-method
    isType(name) {
        return !!name.match(/^uint([0-9]*)?(\[([0-9]*)\])*$/);
    }
}
exports.SolidityTypeUInt = SolidityTypeUInt;
//# sourceMappingURL=uint.js.map