"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const f = require("./formatters");
const type_1 = require("./type");
/**
 * SolidityTypeUReal is a prootype that represents ureal type
 * It matches:
 * ureal
 * ureal[]
 * ureal[4]
 * ureal[][]
 * ureal[3][]
 * ureal[][6][], ...
 * ureal32
 * ureal64[]
 * ureal8[4]
 * ureal256[][]
 * ureal[3][]
 * ureal64[][6][], ...
 */
class SolidityTypeUReal extends type_1.SolidityType {
    constructor() {
        super({
            inputFormatter: f.formatInputReal,
            outputFormatter: f.formatOutputUReal
        });
    }
    // tslint:disable-next-line:prefer-function-over-method
    isType(name) {
        return !!name.match(/^ureal([0-9]*)?(\[([0-9]*)\])*$/);
    }
}
exports.SolidityTypeUReal = SolidityTypeUReal;
//# sourceMappingURL=ureal.js.map