/**
 * Returns true if address is part of the given bloom.
 * note: false positives are possible.
 *
 * @method testAddress
 * @param {string} hex encoded bloom
 * @param {string} address in hex notation
 * @returns {Boolean} topic is (probably) part of the block
 */
export declare function testAddress(bloom: any, address: any): boolean;
/**
 * Returns true if the topic is part of the given bloom.
 * note: false positives are possible.
 *
 * @method hasTopic
 * @param {string} hex encoded bloom
 * @param {string} address in hex notation
 * @returns {Boolean} topic is (probably) part of the block
 */
export declare function testTopic(bloom: any, topic: any): boolean;
