import BigNumber from 'bignumber.js';
/**
 * Should the format output to a big number
 *
 * @method outputBigNumberFormatter
 * @param {string|number|BigNumber}
 * @returns {BigNumber} object
 */
export declare function outputBigNumberFormatter(num: any): BigNumber;
export declare function isPredefinedBlockNumber(blockNumber: any): boolean;
export declare function inputDefaultBlockNumberFormatter(blockNumber: any): any;
export declare function inputBlockNumberFormatter(blockNumber: any): any;
/**
 * Formats the input of a transaction and converts all values to HEX
 *
 * @method inputCallFormatter
 * @param {object} transaction options
 * @returns object
 */
export declare function inputCallFormatter(options: any): any;
/**
 * Formats the input of a transaction and converts all values to HEX
 *
 * @method inputTransactionFormatter
 * @param {object} transaction options
 * @returns object
 */
export declare function inputTransactionFormatter(options: any): any;
/**
 * Formats the output of a transaction to its proper values
 *
 * @method outputTransactionFormatter
 * @param {object} tx
 * @returns {object}
 */
export declare function outputTransactionFormatter(tx: any): any;
/**
 * Formats the output of a transaction receipt to its proper values
 *
 * @method outputTransactionReceiptFormatter
 * @param {object} receipt
 * @returns {object}
 */
export declare function outputTransactionReceiptFormatter(receipt: any): any;
/**
 * Formats the output of a block to its proper values
 *
 * @method outputBlockFormatter
 * @param {object} block
 * @returns {object}
 */
export declare function outputBlockFormatter(block: any): any;
/**
 * Formats the output of a log
 *
 * @method outputLogFormatter
 * @param {object} log object
 * @returns {object} log
 */
export declare function outputLogFormatter(log: any): any;
/**
 * Formats the input of a whisper post and converts all values to HEX
 *
 * @method inputPostFormatter
 * @param {object} transaction object
 * @returns {object}
 */
export declare function inputPostFormatter(post: any): any;
/**
 * Formats the output of a received post message
 *
 * @method outputPostFormatter
 * @param {object}
 * @returns {object}
 */
export declare function outputPostFormatter(post: any): any;
export declare function inputAddressFormatter(address: any): any;
export declare function outputSyncingFormatter(result: any): any;
